Get multiple products

View as Markdown

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idstringOptionalformat: "int32"
Channel Id for Operation

Query parameters

ReferenceIdsstringOptional
Comma separated list of reference ids to filter by
PageintegerOptional0-2147483647

Page of products to get - Valid Range is 0 to integer max with a default of 1

LimitintegerOptional1-250

Amount of products per page to request - Valid Range is 1 to 250 with a default of 50

IDsstringOptional
Comma separated list of product ids to filter by
SearchstringOptional
Search is available for 2 fields of the inventory record related to the product: Inventory ID and Name - 1. Expected behavior for search by Inventory ID is exact match 2. Expected behavior for search by Inventory Name is partial match, i.e. does not have to be start of word, but must be consecutive characters. This is not case sensitive.
ActiveStatusstringOptional
Status filter for products: - Any: Include both active and inactive - Active: Filter products that are Active - Inactive: Filter products that are Inactive",
BundleStatusstringOptional
Bundle filter for products: - Any: Don't filter and consider products that are bundles or not bundles - Bundle: Filter by products that are bundles - NotBundle: Filter by products that are not bundles"

Response headers

Page-Numberstring or null
Number of the current page
Total-Pagesstring or null
Total number of pages of results
Total-Countstring or null
Total number of results
Page-Sizestring or null
Number of results per page
Next-Pagestring or null
The href of the next page of results, if there is a next page

Response

Success
barcodestring or null
Barcode for the product
bundle_root_informationobject or null
channelobject or null
Information about a store channel
created_datedatetime or null
Date the product was created
fulfillable_inventory_itemslist of objects or null
The inventory that this product will resolve to when packing a shipment
fulfillable_quantity_by_fulfillment_centerlist of objects or null
Fulfillable quantity of this product broken down by fulfillment center location
gtinstring or null

Global Trade Item Number - unique and internationally recognized identifier assigned to item by company GS1.

idinteger or null
Unique identifier of the product
namestring or null
The name of the product
reference_idstring or null
Unique reference identifier of the product
skustring or null
Stock keeping unit for the product
total_committed_quantityinteger or null
Total committed quantity of this product
total_fulfillable_quantityinteger or null
Total fulfillable quantity of this product
total_onhand_quantityinteger or null
Total on hand quantity of this product
unit_pricedouble or null
The price of one unit
upcstring or null

Universal Product Code - Unique external identifier

Errors